%define module   rtl8192eu
# date should be date of most recent commit in git
# make sure to update version/date in SOURCES/dkms.conf too
%define date     20231111
%define rel      1

Name:            dkms-%{module}
Version:         5.11.2.1
Release:         %mkrel 1.%{date}.%{rel}

Summary:         dkms package for %{module} driver
License:         GPLv2
Group:           System/Kernel and hardware
URL:             https://github.com/clnhub/rtl8192eu-linux
# git clone https://github.com/clnhub/rtl8192eu-linux
# cd rtl8192eu-linux
# git archive --format tar.gz --prefix rtl8192eu-linux/ -o ../rtl8192eu-linux.tar.gz -v HEAD
Source0:         rtl8192eu-linux.tar.gz
Source1:         rtl8192eu-blacklist.conf
Source2:         dkms.conf
BuildArch:       noarch
Requires(post):  dkms
Requires(preun): dkms

%description
Realtek RTL8192EU Linux wireless driver source
 This package contains Realtek RTL8192EU USB Linux wireless driver
 for use with Realtek RTL8192EU hardware.

%prep
%autosetup -n rtl8192eu-linux -p1

%install
mkdir -p %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/
cp -R * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/
find %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/include/ -type f -exec chmod -x {} +

install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/modprobe.d/rtl8192eu-blacklist.conf
install -m644 %{SOURCE2} -D %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf

rm -f %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/*install_wifi.sh

%files
%dir %{_usrsrc}/%{module}-%{version}-%{release}
%config(noreplace) %{_sysconfdir}/modprobe.d/rtl8192eu-blacklist.conf
%{_usrsrc}/%{module}-%{version}-%{release}/core/*
%{_usrsrc}/%{module}-%{version}-%{release}/hal/*
%{_usrsrc}/%{module}-%{version}-%{release}/include/*
%{_usrsrc}/%{module}-%{version}-%{release}/os_dep/*
%{_usrsrc}/%{module}-%{version}-%{release}/platform/*
%{_usrsrc}/%{module}-%{version}-%{release}/Kconfig
%{_usrsrc}/%{module}-%{version}-%{release}/Makefile
%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
%{_usrsrc}/%{module}-%{version}-%{release}/ifcfg-wlan0
%{_usrsrc}/%{module}-%{version}-%{release}/README.md
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/clean
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/runwpa
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/wlan0dhcp

%post -n dkms-%{module}
%{_sbindir}/dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
exit 0

%preun -n dkms-%{module}
%{_sbindir}/dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
exit 0



%changelog
* Wed Sep 27 2023 ns80 <ns80> 5.11.2.1-1.20231111.1.mga9
+ Revision: 1991279
- new version 5.11.2.1 to allow building with kernels 6.4+ (mga#32200)

* Wed Nov 16 2022 pterjan <pterjan> 4.4.1-1.20221105.2.mga9
+ Revision: 1908005
- Fix bugs in recent git snapshots

* Sat Nov 12 2022 pterjan <pterjan> 4.4.1-1.20221105.1.mga9
+ Revision: 1906624
- Update to a recent snapshot to fix build on recent kernels

* Fri Aug 12 2022 tmb <tmb> 4.4.1-1.20210403.6.mga9
+ Revision: 1877181
- add support for kernel 5.18+

* Tue Apr 26 2022 tmb <tmb> 4.4.1-1.20210403.5.mga9
+ Revision: 1854370
- fix up support for 5.17 series so it still works for older kernels

* Tue Apr 26 2022 tmb <tmb> 4.4.1-1.20210403.4.mga9
+ Revision: 1854360
- fix build with kernel 5.17 series

* Mon Mar 21 2022 umeabot <umeabot> 4.4.1-1.20210403.3.mga9
+ Revision: 1815480
- Mageia 9 Mass Rebuild

* Tue Nov 16 2021 tmb <tmb> 4.4.1-1.20210403.2.mga9
+ Revision: 1757323
- roll back to working 20210403 snapshot
- add fixes for kernel 5.15 series
- add blacklisting of conflicting in-tree rtl8xxxu

* Sun Nov 14 2021 tmb <tmb> 4.4.1-1.20211023.1.mga9
+ Revision: 1756429
- update to 20211023 snapshot

* Mon Apr 05 2021 pterjan <pterjan> 4.4.1-1.20210403.1.mga9
+ Revision: 1713543
- Update to latest git (supports kernel 5.12)

* Sat Dec 26 2020 luigiwalser <luigiwalser> 4.4.1-1.20201219.1.mga8
+ Revision: 1664032
- update to 20201219 snapshot with kernel 5.10 support

* Wed Oct 14 2020 luigiwalser <luigiwalser> 4.4.1-1.20201004.1.mga8
+ Revision: 1636125
- update to 20201004 snapshot with kernel 5.9 support

* Sun Aug 23 2020 neoclust <neoclust> 4.4.1-1.20200823.2.mga8
+ Revision: 1618074
- Fix dkms version

* Sun Aug 23 2020 neoclust <neoclust> 4.4.1-1.20200823.1.mga8
+ Revision: 1618070
- New git snapshot, with kernel 5.8 support

* Wed Aug 12 2020 luigiwalser <luigiwalser> 4.4.1-1.20200620.1.mga8
+ Revision: 1613640
- update to 20200620 snapshot with kernel 5.8 support

* Thu Mar 05 2020 pterjan <pterjan> 4.4.1-1.20200122.1.mga8
+ Revision: 1553857
- Switch to a github repo adding patches to support new kernels

* Tue Feb 11 2020 umeabot <umeabot> 4.3.1.1_11320.20140505-5.mga8
+ Revision: 1490247
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 4.3.1.1_11320.20140505-4.mga7
+ Revision: 1261666
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 4.3.1.1_11320.20140505-3.mga6
+ Revision: 972457
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 philippem <philippem> 4.3.1.1_11320.20140505-2.mga6
+ Revision: 897996
- imported package dkms-rtl8192eu


* Sat May 30 2015 Philippe Makowski <philippem@mageia.org>
- Use full version string
- Clean spec

* Fri May 22 2015 Philippe Makowski <philippem@mageia.org>
- First Mageia version

* Mon Nov 10 2014 Maurizio Dal Magro <info@laptopke.be>
- Added "%%dir /usr/src/%%{module}-%%{version}-%%{release}" to remove during deinstallation.

* Sun Nov 9 2014 Maurizio Dal Magro <info@laptopke.be>
- Fix DKMS vermagic issue

* Sun Nov 2 2014 Maurizio Dal Magro <info@laptopke.be>
- First built
